<!--
  Copyright (c) 2016-2021 Martin Donath <martin.donath@squidfunk.com>

  Permission is hereby granted, free of charge, to any person obtaining a copy
  of this software and associated documentation files (the "Software"), to
  deal in the Software without restriction, including without limitation the
  rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
  sell copies of the Software, and to permit persons to whom the Software is
  furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
  IN THE SOFTWARE.
-->

{% extends "main.html" %}

<!-- Render hero under tabs -->
{% block tabs %}
  {{ super() }}

  <!-- Additional styles for landing page -->
  <style>

    /* Application header should be static for the landing page */
    .md-header {
      position: initial;
    }

    /* Remove spacing, as we cannot hide it completely */
    .md-main__inner {
      margin: 0;
    }

    /* Hide main content for now */
    .md-content {
      display: none;
    }

    /* Hide table of contents */
    @media screen and (min-width: 60em) {
      .md-sidebar--secondary {
        display: none;
      }
    }

    /* Hide navigation */
    @media screen and (min-width: 76.25em) {
      .md-sidebar--primary {
        display: none;
      }
    }
  </style>

  <!-- Hero for landing page -->
  <section class="mdx-container">
    <div class="md-grid md-typeset">
      <div class="mdx-hero">

        <!-- Hero image -->
        <div class="mdx-hero__image">
          <img
            src="assets/images/illustration.png"
            alt=""
            width="1659"
            height="1200"
            draggable="false"
          >
        </div>

        <!-- Hero content -->
        <div class="mdx-hero__content">
          <h1>MkDocs Demo</h1>
          <p>This is a test site hosted on <a href="https://ennio.wolsink.gitlab.io/mkdocs">GitLab Pages</a> showcasing <a href="=https://mkdocs.org">MkDocs</a>. You can
            <a href="https://gitlab.com/ennio.wolsink/mkdocs">browse its source code</a>, fork it and start using it on your projects.</p>
          <a
            href="{{ page.next_page.url | url }}"
            title="{{ page.next_page.title | e }}"
            class="md-button md-button--primary"
          >
            Quick start
          </a>
          <a
            href="{{ 'Contributing/' | url }}"
            title="Contribution guide"
            class="md-button"
          >
            Contributing
          </a>
        </div>
      </div>
    </div>
  </section>
{% endblock %}

<!-- Content -->
{% block content %}{% endblock %}

<!-- Application footer -->
{% block footer %}{% endblock %}
